Subject: Re: bug#15341: 24.3.50; Wrong face in diff-mode

From: Stefan Monnier <[email-masked]>
Date: Wed, 11 Sep 2013 11:44:33 -0400

> When I was trying to read this patch is diff-mode:
> http://git.savannah.gnu.org/cgit/emacs.git/commit/etc/tutorials/TUTORIAL?id=2d0ab7fceb093acaead8d964ffaf8230098507c9

This is an HTML page.  How did you get it into a diff-mode buffer?

> I found that the ">> Move the cursor to this line and type C-u 0 C-l"
> line is displayed as the ‘diff-added’ face, but it shouldn't.

I strongly suspect that the space before the ">>" got dropped along the
way to the diff-mode buffer, resulting in an invalid patch, which would
explain and justify the mis-highlighting.

        Stefan